{% extends 'pmpexam/base.html' %}

{% block content %}
    <strong>Question:</strong> {{ question|linebreaks }}

    {% if error_message %}
        <p><strong>{{ error_message }}</strong></p>
    {% endif %}

    <form action="{% url 'pmp:choose' question.id %}" method="post">
        {% csrf_token %}
        {% for option in question.options_set.all %}
            <input type="radio"
                   name="option"
                   id="option{{ option.option_index }}"
                   value="{{ option.id}}"/>
            <label for="option{{ option.option_index }}">
                {{ option.option_index }}.  {{ option.option_text }}
            </label><br />
        {% endfor %}
        <input type="submit" value="Choose" />
    </form>
    <br />
    <p>
        <table>
            <td>
                <a href="{% url 'pmp:result' question.id %}">Check Result</a>
            </td>
            <td>
                {% if question_number > question.id %}
                    <a href="{% url 'pmp:detail' next_id %}">Next</a>
                {% else %}
                    No More Questions.
                {% endif %}
            </td>
    </p>
{% endblock %}
